Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.handler
Class MappedInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.MappedInterceptor

    public final class MappedInterceptor

extends Object

Holds information about a HandlerInterceptor mapped to a path into the application.

Since:
  3.0
Author:
  Keith Donald

Constructor Summary
`MappedInterceptor(String[] pathPatterns, HandlerInterceptor interceptor)` Create a new mapped interceptor.
`MappedInterceptor(String[] pathPatterns, WebRequestInterceptor interceptor)` Create a new mapped interceptor.

Method Summary
`HandlerInterceptor` | `getInterceptor()` The actual Interceptor reference.
`String[]` | `getPathPatterns()` The path into the application the interceptor is mapped to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedInterceptor

    public MappedInterceptor(String[] pathPatterns,
                             HandlerInterceptor interceptor)

  Create a new mapped interceptor.

  Parameters:
    `pathPatterns` - the path patterns
    `interceptor` - the interceptor

### MappedInterceptor

    public MappedInterceptor(String[] pathPatterns,
                             WebRequestInterceptor interceptor)

  Create a new mapped interceptor.

  Parameters:
    `pathPatterns` - the path patterns
    `interceptor` - the interceptor

Method Detail

### getPathPatterns

    public String[] getPathPatterns()

  The path into the application the interceptor is mapped to.

### getInterceptor

    public HandlerInterceptor getInterceptor()

  The actual Interceptor reference.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD